API issue - api/issues/search 'types' is deprecated

SonarQube Version community 10.4.1
We use

api/issues/search?types=BUG,VULNERABILITY

to filter which type of issues we need.

However, this time we received the WARN “/api/issues/search Parameter ‘types’ is deprecated since 10.4 and will be removed in a future version.”
But we can’t find which parameter replaces the “type” in the web_api documentation page.

Please inform me of the correct replacement parameters.
Thank you.

Hi,

There’s a “Changelog” tab in the API documentation explaining the changes:

10.4 Parameters ‘severities’ and ‘types’ are deprecated, use ‘impactSeverities’ and ‘impactSoftwareQualities’ instead.

2 Likes

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.